vala-tests r38 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 21:21:54 2008
New Revision: 38
URL: http://svn.gnome.org/viewvc/vala-tests?rev=38&view=rev

Log:
Add test for bug 437435 and 556881

Added:
   trunk/tests/bugs/437435.test   (contents, props changed)
   trunk/tests/bugs/437435.vala
   trunk/tests/bugs/556881.test   (contents, props changed)
   trunk/tests/bugs/556881.vala
Modified:
   trunk/tests/bugs/437431.vala
   trunk/tests/bugs/update.sh

Modified: trunk/tests/bugs/437431.vala
==============================================================================
--- trunk/tests/bugs/437431.vala	(original)
+++ trunk/tests/bugs/437431.vala	Sat Oct 18 21:21:54 2008
@@ -1,4 +1,4 @@
-xusing GLib;
+using GLib;
 
 public delegate void myCallback();
 

Added: trunk/tests/bugs/437435.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/437435.test	Sat Oct 18 21:21:54 2008
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=`dirname $0`
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  $VALAFLAGS
+
+if [ "$?" != "0" ] && [ -n  ]; then
+  echo ""
+  echo "*** WARNING: This vala test was expecting to fail ***"
+  echo ""
+  echo "Visit bug: http://bugzilla.gnome.org/show_bug.cgi?id=437435";
+  exit 1
+fi
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "x1" = "xno" ] && rm -rf 437435.o
+fi
+

Added: trunk/tests/bugs/437435.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/437435.vala	Sat Oct 18 21:21:54 2008
@@ -0,0 +1,8 @@
+interface Test {
+	public static void test () {
+	}
+
+	static void main () {
+		Test.test ();
+	}
+}

Added: trunk/tests/bugs/556881.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/556881.test	Sat Oct 18 21:21:54 2008
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=`dirname $0`
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+!  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  -C $VALAFLAGS
+
+if [ "$?" != "0" ] && [ -n ! ]; then
+  echo ""
+  echo "*** WARNING: This vala test was expecting to fail ***"
+  echo ""
+  echo "Visit bug: http://bugzilla.gnome.org/show_bug.cgi?id=556881";
+  exit 1
+fi
+
+true || exit 1
+
+if [ "xno" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "xno" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "xno" = "xno" ] && rm -rf 556881.o
+fi
+

Added: trunk/tests/bugs/556881.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/556881.vala	Sat Oct 18 21:21:54 2008
@@ -0,0 +1,3 @@
+interface Test {
+	public static abstract void test ();
+}

Modified: trunk/tests/bugs/update.sh
==============================================================================
--- trunk/tests/bugs/update.sh	(original)
+++ trunk/tests/bugs/update.sh	Sat Oct 18 21:21:54 2008
@@ -24,6 +24,7 @@
 434514
 435853
 435854
+556881
 "
 
 set -e
@@ -88,6 +89,7 @@
 [ "$test" = "435854" ] && VALAFLAGS="$VALAFLAGS -C"
 [ "$test" = "436011" ] && VALAFLAGS="$VALAFLAGS -X -m64 -X -Wall -X -Werror"
 [ "$test" = "436760" ] && TESTEXPECT="grep -q input_stream_ftp 436760.c" VALAFLAGS="$VALAFLAGS -C"
+[ "$test" = "556881" ] && VALAFLAGS="$VALAFLAGS -C"
 
 BUGZILLA="http://bugzilla.gnome.org/show_bug.cgi?id=$test";
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]